Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 615863 - Improve SNMP Traps for Clustering
Improve SNMP Traps for Clustering
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: clustermon (Show other bugs)
5.4
All Linux
urgent Severity high
: rc
: ---
Assigned To: Ryan McCabe
Cluster QE
: Triaged, ZStream
Depends On: 504869
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-19 02:56 EDT by RHEL Product and Program Management
Modified: 2016-04-26 11:46 EDT (History)
15 users (show)

See Also:
Fixed In Version: clustermon-0.12.1-2.el5_5.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-13 11:15:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description RHEL Product and Program Management 2010-07-19 02:56:47 EDT
This bug has been copied from bug #504869 and has been proposed
to be backported to 5.5 z-stream (EUS).
Comment 7 Lon Hohberger 2010-08-30 11:25:25 EDT
The initial implementation has limitations:

- there is no method to retrieve fencing information or correlate fencing events with nodes leaving the cluster; this means that there are no events generated when fencing occurs.  This has been 

- there is no method to retrieve service events from rgmaanger; this means that there is a chance that a trap will not be sent if a service transitions quickly.  This can occur, for example, if a service fails and is restarted prior to the SNMP module updating its state

- rgmanager has no method to report when individual resources fail.

- the way libclustersnmp gains cluster node information is by polling; this means that there is a chance that a trap will not be sent if a node transitions very quickly (e.g. service cman restart).
Comment 9 RHEL Product and Program Management 2010-09-13 11:15:17 EDT
Development Management has reviewed and declined this request.  You may appeal
this decision by reopening this request.

Note You need to log in before you can comment on or make changes to this bug.